%define major   0
%define libname %mklibname lttng-ust %major
%define devname %mklibname lttng-ust -d

%define ctl_major   4
%define libname_ctl %mklibname lttng-ust-ctl %ctl_major

Name:           lttng-ust
Version:        2.12.0
Release:        %mkrel 1
License:        LGPLv2 and GPLv2 and MIT
Group:          System/Libraries
Summary:        LTTng Userspace Tracer library
URL:            http://lttng.org
Source0:        http://lttng.org/files/lttng-ust/%{name}-%{version}.tar.xz
Patch0:         lttng-gen-tp-shebang.patch
Patch1:         0001-Fix-namespace-contexts-CONFIG_RCU_TLS-variable-initi.patch

BuildRequires:  texinfo
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig(liburcu)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(numa)

%description
This library may be used by user space applications to generate
tracepoints using LTTng.

%package -n %{libname}
Summary:        LTTng Userspace Tracer library
Group:          System/Libraries

%description -n %{libname}
This library provides support for developing programs using
LTTng userspace tracing.

%package -n %{libname_ctl}
Summary:        LTTng Userspace CTL Tracer library
Group:          System/Libraries

%description -n %{libname_ctl}
This library provides support for developing programs using
LTTng userspace CTL tracing.

%package -n %{devname}
Summary:        LTTng Userspace Tracer library headers and development files
Group:          Development/Libraries
Provides:       lttng-ust-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_ctl} = %{version}-%{release}
Requires:       userspace-rcu-devel

%description -n %{devname}
This library provides support for developing programs using
LTTng userspace tracing.

%package -n python3-lttngust
Summary:        Python 3 bindings for LTTng UST
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
%{?python_provide:%python_provide python3-lttngust}

%description -n python3-lttngust
The python3-lttngust package contains libraries needed to instrument
applications that use %{name}'s Python logging backend.

%prep
%setup -q
%apply_patches


sed -i -e '/SUBDIRS/s:examples::' doc/Makefile.am

%build
autoreconf -vif

%configure2_5x \
        --docdir=%{_docdir}/%{name} \
        --disable-static \
        --enable-python-agent PYTHON=%{__python3} \
        --without-sdt

%make_build

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_mandir}/man3/do_tracepoint.3.*
%{_mandir}/man3/lttng-ust.3.*
%{_mandir}/man3/lttng-ust-cyg-profile.3.*
%{_mandir}/man3/lttng-ust-dl.3.*
%{_mandir}/man3/tracef.3.*
%{_mandir}/man3/tracelog.3.*
%{_mandir}/man3/tracepoint.3.*
%{_mandir}/man3/tracepoint_enabled.3.*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/ChangeLog
%{_docdir}/%{name}/COPYING
%{_docdir}/%{name}/java-agent.txt
%{_docdir}/%{name}/LICENSE
%{_docdir}/%{name}/README.md

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %libname_ctl
%{_libdir}/*.so.%{ctl_major}*

%files -n %devname
%{_bindir}/lttng-gen-tp
%{_mandir}/man1/lttng-gen-tp.1.*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lttng-ust*.pc

%files -n python3-lttngust
%{python3_sitelib}/lttngust/
%{python3_sitelib}/lttngust-*.egg-info


%changelog
* Mon Jul 17 2023 tex - 2.12.0-1pclos2023
- create pkg for pipewire
